Variables

Index

get

Pagination

Pagination is available for this request. Please see the section on using pagination for more details.

Available Filters

These are the filters that can be used to specific the data to return. Please see the section on using filters for more details.

  • label

  • key

  • value

Available Sorts

These are the sorts that can be used order the returned data. Please see the section on using sorting for more details.

  • label

  • key

  • value

Authorizations
Query parameters
filter[label]stringOptional

Filter results by label.

filter[key]stringOptional

Filter results by key.

filter[value]stringOptional

Filter results by value.

sortstringOptional

Sort field. Prefix with - for descending. Available: label, key, value

pageinteger · min: 1Optional

Page number for pagination.

Default: 1
per_pageinteger · min: 1 · max: 100Optional

Number of results per page.

Responses
chevron-right
200

Successful response

application/json
get
/api/v1/variables

Store

post

Validation Rules

These are the basic validation rules for the request. More detailed validation may apply depending on the data being sent. Please see the response for any extra requirements

Field
Type
Required

label

string

key

string

value

string

secret

locked

Authorizations
Body
labelstringRequired
keystringRequired
valuestring · nullableOptional
secretstringOptional
lockedstringOptional
Responses
chevron-right
200

Successful response

application/json
post
/api/v1/variables

Show

get

Available Filters

These are the filters that can be used to specific the data to return. Please see the section on using filters for more details.

  • label

  • key

  • value

Available Sorts

These are the sorts that can be used order the returned data. Please see the section on using sorting for more details.

  • label

  • key

  • value

Authorizations
Path parameters
variablestringRequired

The variable identifier.

Query parameters
filter[label]stringOptional

Filter results by label.

filter[key]stringOptional

Filter results by key.

filter[value]stringOptional

Filter results by value.

sortstringOptional

Sort field. Prefix with - for descending. Available: label, key, value

pageinteger · min: 1Optional

Page number for pagination.

Default: 1
per_pageinteger · min: 1 · max: 100Optional

Number of results per page.

Responses
chevron-right
200

Successful response

application/json
get
/api/v1/variables/{variable}

Update

put

Validation Rules

These are the basic validation rules for the request. More detailed validation may apply depending on the data being sent. Please see the response for any extra requirements

Field
Type
Required

label

string

key

string

value

string

configurable

Authorizations
Path parameters
variablestringRequired

The variable identifier.

Body
labelstringOptional
keystringOptional
valuestring · nullableOptional
configurablestringOptional
Responses
chevron-right
200

Successful response

application/json
put
/api/v1/variables/{variable}

Destroy

delete

Delete a variable.

Authorizations
Path parameters
variablestringRequired

The variable identifier.

Responses
chevron-right
200

Successful response

application/json
messagestringOptional
delete
/api/v1/variables/{variable}

Last updated

Was this helpful?